inputFile

Prev Next

Available in Classic and VPC

Send files to analyze with file filter.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /filefilter/v1/inputFile

Request headers

The following describes the headers.

Field Required Description
Content-Type Required Request and response data format
  • multipart/form-data

For information about the headers common to all File Safer APIs, see File Safer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
file File Required Target file
archivePassword String Conditional Compressed file password
  • Enter if the target file is a password-protected compressed file

Request example

The request example is as follows:

curl --location --request POST 'https://filesafer.apigw.ntruss.com/filefilter/v1/inputFile' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-apigw-api-key: {API Gateway API Key}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json' \
--header 'Content-Type: multipart/form-data' \
--form 'file=@"{File Name}"'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String Required Response code
returnMessage String Required Response message

Response status codes

For information about the HTTP status codes common to all File Safer APIs, see File Safer response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "success"
}